﻿Public Class Person
    Implements INotifyPropertyChanged

    Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

    Private Sub setProperty(<CallerMemberName> Optional propertyName As String = Nothing)
        RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(propertyName))
    End Sub


    Public Property Vorname() As String
        Get
            Return _vorname
        End Get
        Set(value As String)
            _vorname = value
            setProperty("Vorname")
        End Set
    End Property

    Public Property Nachname() As String
        Get
            Return _nachname
        End Get
        Set(value As String)
            _nachname = value
            setProperty("Nachname")
        End Set
    End Property

    Public Property Geburtsdatum() As DateTime
        Get
            Return _geburtsdatum
        End Get
        Set(value As DateTime)
            _geburtsdatum = value
            setProperty("Geburtsdatum")
        End Set
    End Property

    Private _vorname As String
    Private _nachname As String
    Private _geburtsdatum As DateTime

End Class
